<?
 /*SCRIPT PARA MANTENIMIENTO DE EVALUACIONES */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":

    if(!@checkdate($txtdmes,$txtddia,$txtdyear) or !@checkdate($txthmes,$txthdia,$txthyear)){
      alert("Por favor verifique las fechas de activación","javascript:history.go(-1)");
    }

    $f_inicio=$txtdyear."-".$txtdmes."-".$txtddia;
    $f_fin=$txthyear."-".$txthmes."-".$txthdia;
    $h_inicio=$txtdhora.":".$txtdmin.":00";
    $h_fin=$txthhora.":".$txthmin.":00";
    if(!isset($txtactiva)){$txtactiva="N";}
    if(!isset($txtinczona)){$txtinczona="N";}
    if(!isset($txtincexamen)){$txtincexamen="N";}

    if($f_fin<$f_inicio){
      alert("La fecha de inicio no puede ser mayor que la fecha de cadudicad","javascript:history.go(-1)");
    }

    $idc=base64_decode($idc);
    $idse=base64_decode($idse);
    $idund=base64_decode($idund);
    $qcurso=mysql_query("select curso from cursos where codigo = '$idc'");
    $icurso=mysql_fetch_array($qcurso);
    $ncurso=$icurso[curso];
    unset($icurso);
    unset($qcurso);

                $sql="insert into
                      evaluaciones
                      set nombre='$txtnombre',
                      instrucciones='$txtinstrucciones',
                      fecha_inicio='$f_inicio',
                      fecha_fin='$f_fin',
                      hora_inicio='$h_inicio',
                      hora_fin='$h_fin',
                      oportunidades='$txtoportunidades',
                      mostrar_resultados='$txtmostrarres',
                      resultados_nc='$txtverresultados',
                      tiempo_maximo='$txttiempomax',
                      activa='$txtactiva',
                      curso='$idc',
                      seccion='$idse',
                      valor_zona='$txtvzona',
                      valor_examen='$txtvexamen',
                      zona='$txtinczona',
                      examen='$txtincexamen',
                      unidad='$idund',
                      usuario='$uuser'";

                 $ins=mysql_query($sql);
                 $id_ev=mysql_insert_id();
                 if($ins){alert("Evaluación: $txtnombre\\nCurso:      $ncurso\\n\\nagregada con éxito","frm_info_prg.php?ide=".enc($id_ev));}else{echo "ERROR: ".mysql_error();}
   break;

   case "Update":
    $id_ev=dec($ide);

    if(!@checkdate($txtdmes,$txtddia,$txtdyear) or !@checkdate($txthmes,$txthdia,$txthyear)){
      alert("Por favor verifique las fechas de activación","javascript:history.go(-1)");
    }

    $qver=mysql_query("select * from evaluaciones where id = '$id_ev'");
    // verificar si tiene permiso para ese curso
    if(mysql_num_rows($qver)==0){
      alert("ERROR: La evaluación no existe","javascript:history.go(-1)");
    }
    $midc=base64_decode($idc);

    $qcurso=mysql_query("select curso from cursos where codigo = '$midc'");
    $icurso=mysql_fetch_array($qcurso);
    $ncurso=$icurso[curso];
    $idund=base64_decode($idund);
    unset($icurso);
    unset($qcurso);

       $f_inicio=$txtdyear."-".$txtdmes."-".$txtddia;
       $f_fin=$txthyear."-".$txthmes."-".$txthdia;
       $h_inicio=$txtdhora.":".$txtdmin.":00";
       $h_fin=$txthhora.":".$txthmin.":00";

       if($f_fin<$f_inicio){
        alert("La fecha de inicio no puede ser mayor que la fecha de cadudicad","javascript:history.go(-1)");
       }
       if(!isset($txtactiva)){$txtactiva="N";}
       if(!isset($txtinczona)){$txtinczona="N";}
       if(!isset($txtincexamen)){$txtincexamen="N";}

                $sql="update
                      evaluaciones
                      set nombre='$txtnombre',
                      instrucciones='$txtinstrucciones',
                      fecha_inicio='$f_inicio',
                      fecha_fin='$f_fin',
                      hora_inicio='$h_inicio',
                      hora_fin='$h_fin',
                      oportunidades='$txtoportunidades',
                      mostrar_resultados='$txtmostrarres',
                      resultados_nc='$txtverresultados',
                      tiempo_maximo='$txttiempomax',
                      activa='$txtactiva',
                      curso='$midc',
                      valor_zona='$txtvzona',
                      valor_examen='$txtvexamen',
                      zona='$txtinczona',
                      examen='$txtincexamen',
                      unidad='$idund',
                      usuario='$uuser'
                      where id = $id_ev";

                 $upd=mysql_query($sql);
                 if($upd){alert("Evaluación: $txtnombre\\nCurso: $ncurso\\n\\nactualizada con éxito","frm_info_prg.php?ide=".enc($id_ev));}else{echo "ERROR: ".mysql_error();}
   break;
   default:
    alert("Parmetros incorrectos","javascript:history.go(-1)");
  }
?>